body {padding-top: 56px;}
.container{max-width: 1080px;}
.bg-purple {background-color: #6f42c1;}
.w-limit{max-width: 1080px;}
.w-28{width: 28px;}
.elem-drop:active{background: #007dfa !important;}
a{color:rgb(29, 183, 217);text-decoration:none}
a:hover, .a:active{color:#ffc107}
.btn-sq-lg {
  width: 48px !important;
  height: 48px !important;
  --bs-btn-padding-x: 0.9rem !important;
}
.btn-sq {
  width: 38px !important;
  height: 38px !important;
  --bs-btn-padding-x: 0.3rem !important;
}
.btn-sq-sm {
  width: 31px !important;
  height: 31px !important;
  --bs-btn-padding-x: 0.4rem !important;
}
.chart-list{overflow-x:auto;-ms-overflow-style: none; scrollbar-width: none;}
.chart-block-elem{
  flex-shrink: 0;
  display: block;
  width: 336px; 
  overflow:hidden;
}
.play-audio {
  transition: all 300ms;
}
.play-pause{
 position: absolute;
}
.hover{cursor: pointer;}
.hover:hover, .hover:active{opacity: 1 !important;}
.com-ava{width: 50px; height: 50px; margin-right: 10px;}
.one-anwser .com-ava{width: 32px; height: 32px;}
.link-vip-user{
  color: #B41FFF; 
  background-image: linear-gradient(90deg, #B41FFF , #1FFFE9 ); 
  background-clip: text; 
  -webkit-background-clip: text; 
  -webkit-text-fill-color: transparent; 
  transition: background-image 1s;
}
.link-vip-user:hover,.link-vip-user:active{
  background-image: linear-gradient(90deg, #B41FFF 0%, #1FFFE9 48%); 
}
.vborder,.aborder{
  outline: 3px solid rgb(var(--bs-body-bg-rgb));
  outline-offset: -4px;
  transition: all 300ms;
}
.vborder{
  border: 2px solid #B41FFF;
}
.aborder{
  border: 2px solid #ff0707;
}
.vborder:hover,.aborder:hover{transform: scale(1.1);    border: 2px solid #61ffef;}
.bg-cover{
  position:relative;
  padding:15px;
}
.one-photo{max-height: 600px;}
.bg-image{
  position:absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  height: 100%;
  /*
  left:0;
  right:0;
  top:0;
  bottom:0;
  background:url('https://i.imgur.com/5SZI6qZ.jpeg');
  background-size:cover;
  */
  z-index:1;
  -webkit-filter: blur(10px);
  -moz-filter: blur(10px);
  -o-filter: blur(10px);
  -ms-filter: blur(10px);
  filter: blur(10px);   
}
.tr-content{
  position:relative;
  z-index:2;
  color:#fff;
}
.txt-shadow{
  text-shadow: 0px 1px 4px #2b3035;
}
@media (max-width: 991.98px) {
  .offcanvas-collapse {
    position: fixed;
    top: 56px; /* Height of navbar */
    bottom: 0;
    left: 100%;
    width: 100%;
    padding-right: 1rem;
    padding-left: 1rem;
    overflow-y: auto;
    visibility: hidden;
    background-color: #343a40;
    transition: transform .3s ease-in-out, visibility .3s ease-in-out;
  }
  .offcanvas-collapse.open {
    visibility: visible;
    transform: translateX(-100%);
  }
}
.nav-scroller .nav {
  color: rgba(255, 255, 255, .75);
}
.nav-scroller .nav-link {
  padding-top: .75rem;
  padding-bottom: .75rem;
  color: var(--bs-secondary-color) !important;
}
.nav-scroller .nav-link:hover {
  color: #ffc107 !important;
}
.nav-scroller .active {
  font-weight: 500;
  color: #343a40;
}
.nvbt{cursor: pointer;}
.bd-placeholder-img {
    font-size: 1.125rem;
    text-anchor: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
}
@media (min-width: 768px) {
    .bd-placeholder-img-lg {
        font-size: 3.5rem;
    }
}
.b-example-divider {
    width: 100%;
    height: 3rem;
    background-color: rgba(0, 0, 0, .1);
    border: solid rgba(0, 0, 0, .15);
    border-width: 1px 0;
    box-shadow: inset 0 .5em 1.5em rgba(0, 0, 0, .1), inset 0 .125em .5em rgba(0, 0, 0, .15);
}
.b-example-vr {
    flex-shrink: 0;
    width: 1.5rem;
    height: 100vh;
}
.bi {
    vertical-align: -.125em;
    fill: currentColor;
}
.nav-scroller {
    position: relative;
    z-index: 2;
    height: 2.75rem;
    ::-webkit-scrollbar { display: none; }
}
.nav-scroller .nav {
    display: flex;
    flex-wrap: nowrap;
    padding-bottom: 1rem;
    margin-top: -1px;
    overflow-x: auto;
    text-align: center;
    white-space: nowrap;
    -webkit-overflow-scrolling: touch;
}
.onlinedot{position: absolute; top: 7px; left: 15px;}
.vipdot{position: absolute; top: 7px; right: 15px;}
.cnt_votes{margin-left: -10px;}
.cnt_votes_small{margin-left: -3px;}
.text-firm{color: rgb(0, 231, 162) !important;}
.album-card:hover,.album-card:active{ background: transparent !important;}
.btn-firm {
    --bd-violet-bg: rgb(1, 255, 179);
    --bs-btn-color: var(--bs-dark);
    --bs-btn-border-color: var(--bd-violet-bg);
}
.btn-out-firm {
  --bd-violet-bg: var(--bg-body);
  --bs-btn-color: rgb(1, 255, 179);
  --bs-btn-border-color: rgb(1, 255, 179);
}
.btn-firm,.btn-out-firm {
  --bd-violet-rgb: 112.520718, 44.062154, 249.437846;
  --bs-btn-bg: var(--bd-violet-bg);
  --bs-btn-font-weight: 400;
  --bs-btn-hover-color: var(--bs-dark);
  --bs-btn-hover-bg: rgb(0, 231, 162);
  --bs-btn-hover-border-color: rgb(0, 231, 162);
  --bs-btn-focus-shadow-rgb: var(--bd-violet-rgb);
  --bs-btn-active-color: var(--bs-btn-hover-color);
  --bs-btn-active-bg: rgb(0, 231, 162);
  --bs-btn-active-border-color: rgb(0, 231, 162);
}
.bd-mode-toggle {z-index: 1500;}
.bd-mode-toggle .dropdown-menu .active .bi { display: block !important;}
.w-48{width: 48px;}
.w-80{width: 80px;}

.play-pause:hover,.play-pause:active {
  transform: scale(1.1);
}
.text-grey{color: #999;}
.vacttl {
    text-decoration: none;
    margin: 0;
    font-size: 16px;
    word-wrap: break-word !important;
    word-break: break-word !important;
}
.tmft{
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
}
.eqa{
  display: none; 
  padding: 0 7px 10px 0;
  z-index: 3;
}
.equilizer {
  height: 20px;
  width: 18px;
  transform: rotate(180deg);
}
.bar {
  fill: rgb(255, 0, 0);
  width: 7px;
  animation: equalize 4s 0s infinite;
}
.bar:nth-child(1) { 
  animation-delay: -1.9s;
}
.bar:nth-child(2) { 
  animation-delay: -2s;
}
.bar:nth-child(3) { 
  animation-delay: -2.3s;
}
@keyframes equalize {
  0% {
    height: 60px;
  }
  4% {
    height: 50px;
  }
  12% {
    height: 30px;
  }
  20% {
    height: 30px;
  }
  28% {
    height: 10px;
  }
  36% {
    height: 60px;
  }
  44% {
    height: 40px;
  }
  52% {
    height: 30px;
  }
  72% {
    height: 70px;
  }
  92% {
    height: 60px;
  }
  100% {
    height: 80px;
  }
}
  .btn-action{
    cursor: pointer;
    padding-top: 10px;
  }
  .btn-action hover, .btn-action:active{
    color: rgb(83, 83, 83);
    transform: scale(1.2);
  }
  .btn-ctn, .infos-ctn{
    display: flex;
    align-items: center;
    justify-content: center;
  }
  .infos-ctn{
    padding-top: 10px;
  }
  .btn-ctn > div {
   padding: 0 10px;
   margin-top: 18px;
   margin-bottom: 18px;
  }
  .infos-ctn > div {
   margin-bottom: 8px;
  }
  .first-btn{
    margin-left: 3px;
  }
  .duration{
    margin-left: 10px;
  }
  .title{
    text-align: center;
  }
  .player-ctn{
    width: 100%;
    margin:auto;
  }
  .playlist-track-ctn{
    display: flex;
    cursor: pointer;
  }
  .playlist-index{
    padding-left: 7px;
    width: 20px;
    display : flex;
    align-items : center;
    margin: 0 !important;
  }
  .playlist-track-ctn > div{
    margin:10px;
  }
  .playlist-info-track{
    width: 100%;
  }
  .playlist-info-track,.playlist-duration{
    padding-top: 7px;
    padding-bottom: 7px;
    pointer-events: none;
  }
  .active-track{
    background: #d6d6d61f;
  }
  .active-track >.playlist-duration,.active-track > .playlist-btn-play{
    color: #ff0000 !important;
  }
  .dm-uploader {
    cursor: default;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
  }
  .dm-uploader .btn {
    position: relative;
    overflow: hidden;
  }
  .dm-uploader .btn input[type="file"] {
    position: absolute;
    top: 0;
    right: 0;
    margin: 0;
    border: solid transparent;
    width: 100%;
    opacity: .0;
    filter: alpha(opacity= 0);
    cursor: pointer;
  }
.empty_ava {
  display: block;
  background: #6c757d;
  height: 50px;
  width: 50px;
  line-height: 50px;
  font-size: 24px;
  text-align: center;
  color: #fff;
}
.msg-box-dialog{margin-bottom:50px;}
.px1{width:1px;height:1px}
@keyframes pulse {
  0% {
    box-shadow: 0 0 0 0 rgba(255, 251, 0, 0.7);
  }
  70% {
    box-shadow: 0 0 0 10px rgba(0, 123, 255, 0);
  }
  100% {
    box-shadow: 0 0 0 0 rgba(0, 123, 255, 0);
  }
}
.btn-pulse {
  animation: pulse 1.5s infinite;
}
.preview-img {
  object-fit: cover;
  object-position: center;
  height: 80px;
  width: 80px;
}
.fun-party{
  background-image: url(/img/temp/fun_party.png);
  background-position: center bottom;
  background-repeat: no-repeat;
  background-size: contain;
}
.autosize{resize:none}
.date-last i.db_check_grey{background:url(/img/chk.svg) no-repeat; width:16px; height:16px; display:inline-block; vertical-align: bottom;}
.date-last i.db_check_green{background:url(/img/db_check_green.svg) no-repeat; width:16px; height:16px; display:inline-block; vertical-align: bottom;}
#block_base_main_window_sp,#block_base_tool_lvl_category,#block_black_pole_sp,#block_black_tool_lvl_category,#block_fon_abuse_advert,#block_fon_abuse_object,#block_fon_check_active_email,#block_tool_check_active_email,#block_up_abuse_advert,#block_up_abuse_object,#box_choose_geo_user,#fon_box_choose_geo_user,#fon_page,#up_block{position:inherit!important;top:inherit!important;left:inherit!important;z-index:inherit!important;display:inherit!important;width:inherit!important;height:inherit!important;background:inherit!important;opacity:inherit!important}

#swiper_slider_4 .swiper {
  max-height: 48px;
}
#swiper_slider_4 .first_column {
  position: relative;
}
#swiper_slider_4 .swiper_btn {
  position: absolute;
  top: 50%;
  right: 0;
  transform: translateY(-50%);
  z-index: 1;
}
#swiper_slider_4 .swiper-button-prev, #swiper_slider_4 .swiper-button-next {
  left: 0;
  right: 0;
  position: relative;
  top: 0;
  bottom: 0;
  width: fit-content;
  height: fit-content;
  display: flex;
  transform: none;
  margin: 0;
  align-items: center;
  width: 30px;
  height: 30px;
}
#swiper_slider_4 .swiper-pagination-bullet:before {
  content: '';
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  border: 1px solid transparent;
  width: 30px;
  height: 30px;
  border-radius: 50%;
  transition: all .4s;
}
#swiper_slider_4 .swiper-pagination {
  bottom: 15px;
  transform: none;
  left: 50%;
  top: auto;
  display: flex;
}
#swiper_slider_4 .swiper-button-prev:after, #swiper_slider_4 .swiper-rtl .swiper-button-next:after,#swiper_slider_4 .swiper-button-next:after, #swiper_slider_4 .swiper-rtl .swiper-button-prev:after 
{
  font-family: "Font Awesome 5 Free" !important; 
  font-weight: 900; 
  font-size: 14px;
  color: var(--bs-body-color);
}
#swiper_slider_4 .swiper-button-prev:after, #swiper_slider_4 .swiper-rtl .swiper-button-next:after {
  content: "\f062";
}
#swiper_slider_4 .swiper-button-next:after, #swiper_slider_4 .swiper-rtl .swiper-button-prev:after {
  content: "\f063";
}
.new-year{
  height: 600px;
  background-size: cover;
  background-position: center;
  background-image: url(/img/msds.jpg);
}